<template>
  <div>
    <PageCard
      class="pageCard-padding background-header"
      :bordering="false"
      fontWeight="bold"
      titleSize=".925rem"
      :title="$t('deposit.5eos.title')">
    </PageCard>
    <PageCard :bordering="false">
      <div class="exchange_info-tips">
        <div>
          <div class="deposit-subtitle-description">{{$t('deposit.5eos.part1')}}</div>
        </div>
      </div>
    </PageCard>
    <PageCard :bordering="false">
      <div
        class="pageCard_inner text-center"
        style="background-color: #1e283a; padding-top: 40px">
        <img
          src="~/static/deposit/5eos.svg"
          alt="">
        <a :href="`http://5eos.org/payments/?account=${accountName}&active=${activeKey}&owner=${ownerKey}&5eos_url_source=https://app.16bit.game`" target="_blank">
          <button
            class="fiveEos_btn">
            {{$t('deposit.5eos.btn')}}
          </button>
        </a>
      </div>
    </PageCard>
  </div>
</template>

<script>
  import PageCard from '~/components/UI/PageCard';

  export default {
    name: "FiveEos",
    props: {
      accountName: {
        type: String,
        default: localStorage.getItem('accountname')
      },
      activeKey: {
        type: String,
        default: ''
      },
      ownerKey: {
        type: String,
        default: ''
      }
    },
    components: {
      PageCard,
    }
  }
</script>
<style
  lang="scss"
  scoped>
  .fiveEos_btn {
    background: linear-gradient(90deg, #F200C0 0%, #008EED 100%);
    border: 0px;
    border-radius: 10px;
    color: white;
    width: 100%;
    max-width: 300px;
    height: 60px;
    line-height: 60px;
    margin: 20px 0px;
    text-transform: uppercase;
  }

  .background-header {
    background-color: #303d55;
  }

  .pageCard {
    &_inner {
      padding: 20px;
      background-color: #313b50;
    }
    &_video {
      padding: 20px;
      background-color: #1b2229;
      color: #84878b;
      white-space: pre-line;
      line-height: 1.4;
    }
  }

  .payment_info {
    &-input {
      color: #00bac3;
      background: transparent;
      border: none;
      text-overflow: ellipsis;
      margin-left: 5px;
    }
    &-item {
      display: flex;
      align-items: center;
      justify-content: space-between;
      padding: 10px 0px;
      &:not(:last-child) {
        border-bottom: 1px dashed #47556e;
      }
      &-label {
        color: #ffffff;
      }
      &-val {
        color: #00bac3;
        margin-left: 10px;
        white-space: nowrap;
        text-overflow: ellipsis;
        overflow: hidden;
        max-width: 180px;
        width: 100%;
      }
    }
  }

  .exchange_info {
    background-color: #1b2229;
    padding: 20px 0px;
    &-tips {
      background-color: #283349;
      padding: 20px 40px;
    }
    &-title {
      text-transform: uppercase;
      font-weight: bold;
    }
    &-subtitle {
      color: #7f848c;
    }
    &-img {
      max-width: 200px;
      width: 100%;
    }
  }
</style>
